# go-clean

This is a hack to experiement with trimming unused entries from the go.sum files.
Since go.sum files need to be recursively processed, this attempts to remove
unused entries. There are all sorts of real world reasons on why this
needs to be done sometimes.

* go-clean tries to remove uneeded entries from the go.sum file.
* You must run go-clean in ~/go/src for this to work.

# Install go-clean

	go install go.wit.com/apps/go-clean@latest

# How it works

go-clean is very simple. It will run 'go build' with GO111MODULE=off. In this mode,
go will compile directly based on the 'import' paths. It simply parses the errors
from 'go build' and makes sure the appropriate entries are in the go.sum file.

Thats it!
